GreatWksGraphInternal::FrameShape Struct Referencefinal

Internal: the basic shape of a GreatWksGraph. More...

Inheritance diagram for GreatWksGraphInternal::FrameShape:

## Public Member Functions

| FrameShape (Frame const &frame)
| constructor
| ~FrameShape () final
| destructor
Type | getType () const final
| return the frame type
void | print (std::ostream &o) const final
| print function
void | updateStyle (MWAWGraphicStyle &style) const
| update the style
Public Member Functions inherited from GreatWksGraphInternal::Frame
| Frame ()
| constructor
| Frame (Frame const &)=default
virtual | ~Frame ()
| destructor

## Public Attributes

MWAWGraphicShape | m_shape
| the shape
int | m_lineArrow
| the line arrow style (in v1)
int | m_lineFormat
| the line format?
Public Attributes inherited from GreatWksGraphInternal::Frame
int | m_type
| the zone type
int | m_styleId
| the style identifier
int | m_parent
| the parent identifier
int | m_order
| the z order
long | m_dataSize
| the data size ( if know)
MWAWBox2f | m_box
| the zone bdbox
int | m_page
| the page
std::string | m_extra
| extra data
bool | m_parsed
| true if the frame is send

## Private Member Functions

| FrameShape (FrameShape const &)=delete
FrameShape & | operator= (FrameShape const &)=delete

## Additional Inherited Members

Public Types inherited from GreatWksGraphInternal::Frame
enum | Type { T_BAD , T_BASIC , T_GROUP , T_PICTURE , T_TEXT , T_DBFIELD , T_UNSET }
| the frame type More...

## Detailed Description

Internal: the basic shape of a GreatWksGraph.

## Constructor & Destructor Documentation

## FrameShape() [1/2]

GreatWksGraphInternal::FrameShape::FrameShape | ( | Frame const & | frame | ) |

inline explicit

constructor

Referenced by FrameShape(), and operator=().

## ~FrameShape()

GreatWksGraphInternal::FrameShape::~FrameShape | ( |  | ) |

final

destructor

## FrameShape() [2/2]

GreatWksGraphInternal::FrameShape::FrameShape | ( | FrameShape const & |  | ) |

private delete

## Member Function Documentation

## getType()

Type GreatWksGraphInternal::FrameShape::getType | ( |  | ) | const

inline final virtual

return the frame type

Reimplemented from GreatWksGraphInternal::Frame.

Referenced by getType().

## operator=()

FrameShape & GreatWksGraphInternal::FrameShape::operator= | ( | FrameShape const & |  | ) |

private delete

## print()

void GreatWksGraphInternal::FrameShape::print | ( | std::ostream & | o | ) | const

inline final virtual

print function

Reimplemented from GreatWksGraphInternal::Frame.

## updateStyle()

void GreatWksGraphInternal::FrameShape::updateStyle | ( | MWAWGraphicStyle & | style | ) | const

inline

update the style

Referenced by GreatWksGraph::sendGroup(), GreatWksGraph::sendGroupChild(), and GreatWksGraph::sendShape().

## Member Data Documentation

## m_lineArrow

int GreatWksGraphInternal::FrameShape::m_lineArrow

the line arrow style (in v1)

Referenced by FrameShape(), print(), and updateStyle().

## m_lineFormat

int GreatWksGraphInternal::FrameShape::m_lineFormat

the line format?

Referenced by FrameShape(), and print().

## m_shape

MWAWGraphicShape GreatWksGraphInternal::FrameShape::m_shape

the shape

Referenced by FrameShape(), GreatWksGraph::readFrameExtraData(), GreatWksGraph::sendShape(), and updateStyle().

The documentation for this struct was generated from the following file:

- GreatWksGraph.cxx